### Method

# Foundry LlmToolCall deny

#### Declaration [src]

    DexFuture*
    foundry_llm_tool_call_deny (
      FoundryLlmToolCall* self
    )

#### Description [src]

Denies that the tool call is authorized and returns a message of failure to be sent back to the model.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLlmMessage` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.